ApiFuseApiFuse
API Reference

CatchTable 예약 생성

캐치테이블 매장에 식사 예약을 생성합니다.

CatchTable 예약 생성

날짜, 시각, 인원을 지정하여 예약을 생성하고 예약 ref를 반환합니다.

엔드포인트

POST /v1/catchtable-reserve

Upstream

  • Base URL: https://ct-api.catchtable.co.kr
  • Path: /api/reservation/v2/dinings/create

요청 파라미터

파라미터타입필수기본값설명
shop_refstring--
datestring-YYYY-MM-DD
timestring-HH:MM
personinteger--
table_typestring--
menu_set_seqinteger--

요청 예시

{
  "shop_ref": "SHOP001",
  "date": "2026-04-01",
  "time": "19:00",
  "person": 2
}

응답 스키마

아래 스키마는 adapter의 Zod output schema에서 직접 생성됩니다.

{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "reservation_ref": {
      "type": "string"
    },
    "status": {
      "type": "string"
    },
    "shop_ref": {
      "type": "string"
    },
    "visit_date": {
      "type": "string"
    },
    "person_count": {
      "type": "number"
    }
  },
  "required": [
    "reservation_ref",
    "status",
    "shop_ref",
    "visit_date",
    "person_count"
  ],
  "additionalProperties": false
}

응답 예시

{
  "data": {
    "reservation_ref": "RES001",
    "status": "CONFIRMED",
    "shop_ref": "SHOP001",
    "visit_date": "2026-04-01",
    "person_count": 2
  },
  "pagination": null,
  "meta": {
    "source": "catchtable-reserve",
    "fetchedAt": "2026-03-24T00:00:00.000Z"
  }
}

On this page